#ifndef PROPERTIES_USER_ACTIONS_H
#define PROPERTIES_USER_ACTIONS_H

#include <QWidget>
#include "blockbase.h"
#include "SH_plugin_base.h"


class PropertiesActions: public QWidget {
	Q_OBJECT
public:
	explicit PropertiesActions(QWidget * parent = 0);
	~PropertiesActions();
	
	void clear();
	bool isEmpty() const;
	void setActions(const QList<SHPluginBase::PluginAction> & al);
	QList<SHPluginBase::PluginAction> actions() const {return actions_;}
	
private:
	QList<QWidget * > _widgets;
	QList<SHPluginBase::PluginAction> actions_;
	
public slots:
	void check();
	
private slots:
	void pluginAction_triggered();
	
signals:
	void executeAction(SHPluginBase::PluginAction);
	void checkRequest(SHPluginBase::PluginAction, bool*);
	
};

#endif // PROPERTIES_USER_ACTIONS_H
